Cyberduck Mountain Duck CLI

#6297 closed defect (fixed)

Cannot open connection to Google Docs

Reported by: lukealfredweber Owned by:
Priority: normal Milestone: 4.2.1
Component: googledrive Version: 4.1.3
Severity: normal Keywords:
Cc: Avi Architecture: Intel
Platform: Mac OS X 10.7

Description

Hi,

I have a basic Google Docs account.

When I try to open a connection to this account the bottom status bar shows:

  • Account authenticated
  • Listing directory

Then the connection immediately disconnects with no further information provided.

Am running:

  • Mac OSX Lion 10.7.1
  • Cyberduck 4.1.3

I am able to open other connections (such as to drop box). I've tried everything I know to do to solve this myself and would appreciate your assistance.

Thanks and regards Luke

Change History (7)

comment:1 Changed on Oct 9, 2011 at 3:17:51 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:2 Changed on Nov 6, 2011 at 10:48:21 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 Changed on Nov 6, 2011 at 10:48:30 AM by dkocher

  • Component changed from core to google-docs

comment:4 Changed on Nov 27, 2011 at 3:17:54 PM by Avi

  • Cc Avi added
  • Resolution worksforme deleted
  • Status changed from closed to reopened

I'm having the same problem, using 4.1.3 (9045) on 10.7.2 with the latest Java update, using Google Apps.

Found a NPE in system.log:

Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 2011-11-27 10:13:10,200 [background-2] ERROR ch.cyberduck.ui.AbstractController - Exception running background task:null
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: java.lang.NullPointerException
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.gdocs.GDPath.list(GDPath.java:794)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.gdocs.GDPath.list(GDPath.java:756)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.Path.list(Path.java:471)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.AbstractPath.children(AbstractPath.java:146)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.AbstractPath.children(AbstractPath.java:132)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.AbstractPath.children(AbstractPath.java:119)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.Session.mount(Session.java:280)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.Session.mount(Session.java:262)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.ui.cocoa.BrowserController$31$1.run(BrowserController.java:3735)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:94)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at ch.cyberduck.ui.AbstractController$1.call(AbstractController.java:88)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
Nov 27 10:13:10 Avis-Mac [0x0-0x1dbddbc].ch.sudo.cyberduck[87195]: 	at java.lang.Thread.run(Thread.java:680)

comment:5 Changed on Nov 27, 2011 at 3:38:03 PM by dkocher

  • Milestone set to 4.2
  • Resolution set to fixed
  • Status changed from reopened to closed

In r9322. The invalid entries with missing content will be ignored.

comment:6 Changed on Dec 5, 2011 at 6:54:08 PM by dkocher

This issue might have not been fixed. See #6419.

comment:7 Changed on Dec 5, 2011 at 7:11:25 PM by dkocher

  • Milestone changed from 4.2 to 4.2.1

Revised fix in r9334.

Note: See TracTickets for help on using tickets.
swiss made software